Subject: Re: bug#52510: Acknowledgement (guix install - profile build takes forever)

From: Florian Hoertlehner <[email-masked]>
Date: Sat, 18 Dec 2021 18:25:03 +0100

I use not only guix chan, but nonguix (for the binary build system and for
clojure-tools)
gorilla (for babashka as binary build; I also use it for vs-codium, but
this is currently broken due
to core update merge) I dont think I use repos from guix-science in this
profile.

Generation 151     Dec 18 2021 17:36:46    (current)
  gorilla ba6cd01
    repository URL: https://github.com/pink-gorilla/gorilla-guix-chan
    branch: master
    commit: ba6cd01922216e2ac2a34a57f8198a4f76d1255c
  science e84cb16
    repository URL: https://github.com/guix-science/guix-science.git
    branch: master
    commit: e84cb167f1f3e2549eae25ec80084cc7253068cf
  nonguix 07b206a
    repository URL: https://gitlab.com/nonguix/nonguix.git
    branch: master
    commit: 07b206af5dc32b93cbc6583896d442a87c8d7b22
  guix 3aef0e7
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 3aef0e7ee67932058629e45a44091d1b4a322f90

This is the output of "guix package --export-manifest"

;; This "manifest" file can be passed to 'guix package -m' to reproduce
;; the content of your profile.  This is "symbolic": it only specifies
;; package names.  To reproduce the exact same profile, you also need to
;; capture the channels being used, as returned by "guix describe".
;; See the "Replicating Guix" section in the manual.

(specifications->manifest
  (list "calibre"
        "hplip"
        "rofi"
        "readymedia"
        "libreoffice"
        "emacs"
        "ungoogled-chromium"
        "nyxt"
        "docker"
        "qemu"
        "virt-manager"
        "udiskie"
        "remmina"
        "claws-mail"
        "java-swt"
        "openssh"
        "syncthing-gtk"
        "docker-compose"
        "gparted"
        "inxi"
        "git"
        "certbot"
        "telegram-desktop"
        "quassel"
        "xfce4-screenshooter"
        "xfce4-notifyd"
        "xfce4-whiskermenu-plugin"
        "exo"
        "fontconfig"
        "eovim"
        "kate"
        "mousepad"
        "pdfarranger"
        "qpdfview"
        "midori"
        "nomad"
        "vimb"
        "glimpse"
        "xdot"
        "gst-libav"
        "gst-plugins-base"
        "gst-plugins-good"
        "gst-plugins-ugly"
        "vlc"
        "kodi"
        "ffmpeg"
        "pavucontrol"
        "keepassxc"
        "transmission:gui"
        "qbittorrent"
        "youtube-dl"
        "flatpak"
        "catfish"
        "celestia-gtk"
        "elementary-xfce-icon-theme"
        "adwaita-icon-theme"
        "breeze-icons"
        "matcha-theme"
        "papirus-icon-theme"
        "java-qdox"
        "iputils"
        "fish"
        "byobu"
        "ranger"
        "mc"
        "glances"
        "rsync"
        "mesa-utils"
        "xclock"
        "sxiv"
        "gstreamer"
        "subdl"
        "libwebp"
        "xdotool"
        "ntp"
        "xsettingsd"
        "node"
        "[email-masked]"
        "font-gnu-freefont"
        "emacs-spacemacs-theme"
        "icecat"
        "syncthing"
        "openjdk:jdk"
        "clojure-tools"
        "gpart"
        "wget"
        "curl"
        "unzip"
        "openssl"
        "vscodium"
        "font-iosevka"
        "font-iosevka-aile"
        "sdparm"
        "hdparm"
        "parted"
        "cryptsetup"
        "cpuid"
        "cpuinfo"
        "tree"
        "whois"
        "perftest"
        "the-silver-searcher"
        "bash"
        "zsh"
        "zsh-autosuggestions"
        "less"
        "which"
        "grep"
        "sed"
        "tmux"
        "tar"
        "p7zip"
        "tarlz"
        "gzip"
        "zip"
        "sysfsutils"
        "htop"
        "ncdu"
        "ncurses"
        "rclone"
        "nano"
        "findutils"
        "mlocate"
        "glibc-locales"
        "mcron"
        "fasd"
        "coreutils"
        "hello"
        "make"
        "gcc-toolchain"
        "xcursor-themes"
        "hicolor-icon-theme"
        "font-hack"
        "font-fira-mono"
        "font-gnu-unifont"
        "font-google-noto"
        "font-openmoji"
        "opus"
        "docker-cli"
        "scm"
        "go-ipfs"
        "arc-icon-theme"
        "gnome-icon-theme"
        "gnome-backgrounds"
        "font-fira-code"
        "font-jetbrains-mono"
        "font-abattis-cantarell"
        "font-dejavu"
        "font-liberation"
        "font-awesome"
        "font-google-material-design-icons"
        "gs-fonts"
        "font-ibm-plex"
        "font-wqy-microhei"
        "fastjar"
        "rlwrap"
        "leiningen"
        "babashka"))

On Wed, Dec 15, 2021 at 2:05 PM GNU bug Tracking System <
[email-masked]> wrote:

> Thank you for filing a new bug report with debbugs.gnu.org.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  [email-masked]
>
> If you wish to submit further information on this problem, please
> send it to [email-masked].
>
> Please do not send mail to [email-masked] unless you wish
> to report a problem with the Bug-tracking system.
>
> --
> 52510: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52510
> GNU Bug Tracking System
> Contact [email-masked] with problems
>